/**
 * Main2 部件模型
 *
 * @export
 * @class Main2Model
 */
export default class Main2Model {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof Main2Model
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'pfcontractid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'pfcontractname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'contractcode',
        prop: 'contractcode',
        dataType: 'TEXT',
      },
      {
        name: 'pfcontractname',
        prop: 'pfcontractname',
        dataType: 'TEXT',
      },
      {
        name: 'contractno',
        prop: 'contractno',
        dataType: 'TEXT',
      },
      {
        name: 'contractgroup',
        prop: 'contractgroup',
        dataType: 'YESNO',
      },
      {
        name: 'contracttypeid',
        prop: 'contracttypeid',
        dataType: 'SSCODELIST',
      },
      {
        name: 'sdate',
        prop: 'sdate',
        dataType: 'DATE',
      },
      {
        name: 'contractobjgroup',
        prop: 'contractobjgroup',
        dataType: 'SSCODELIST',
      },
      {
        name: 'emservicename',
        prop: 'emservicename',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'content',
        prop: 'content',
        dataType: 'LONGTEXT',
      },
      {
        name: 'att',
        prop: 'att',
        dataType: 'TEXT',
      },
      {
        name: 'checkstandard',
        prop: 'checkstandard',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'declaration',
        prop: 'declaration',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'rorgid',
        prop: 'rorgid',
        dataType: 'TEXT',
      },
      {
        name: 'performrecord',
        prop: 'performrecord',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'changedesc',
        prop: 'changedesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'paydesc',
        prop: 'paydesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'payamount',
        prop: 'payamount',
        dataType: 'CURRENCY',
      },
      {
        name: 'payreason',
        prop: 'payreason',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'recvdoc',
        prop: 'recvdoc',
        dataType: 'TEXT',
      },
      {
        name: 'changecontent',
        prop: 'changecontent',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'performstate',
        prop: 'performstate',
        dataType: 'SSCODELIST',
      },
      {
        name: 'contractdesc',
        prop: 'contractdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'contractdoc',
        prop: 'contractdoc',
        dataType: 'TEXT',
      },
      {
        name: 'description',
        prop: 'description',
        dataType: 'TEXT',
      },
      {
        name: 'apprdate',
        prop: 'apprdate',
        dataType: 'DATETIME',
      },
      {
        name: 'apprstate',
        prop: 'apprstate',
        dataType: 'SSCODELIST',
      },
      {
        name: 'apprdesc',
        prop: 'apprdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'contractobjid',
        prop: 'contractobjid',
        dataType: 'TEXT',
      },
      {
        name: 'certdesc',
        prop: 'certdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'licdesc',
        prop: 'licdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'attdesc',
        prop: 'attdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'docdesc',
        prop: 'docdesc',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'attention',
        prop: 'attention',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'contracttender',
        prop: 'contracttender',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'performway',
        prop: 'performway',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'contractnum',
        prop: 'contractnum',
        dataType: 'INT',
      },
      {
        name: 'contractdate',
        prop: 'contractdate',
        dataType: 'DATE',
      },
      {
        name: 'contractprice',
        prop: 'contractprice',
        dataType: 'CURRENCY',
      },
      {
        name: 'performline',
        prop: 'performline',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'contractqa',
        prop: 'contractqa',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'paycnt',
        prop: 'paycnt',
        dataType: 'TEXT',
      },
      {
        name: 'amount',
        prop: 'amount',
        dataType: 'CURRENCY',
      },
      {
        name: 'peramount',
        prop: 'peramount',
        dataType: 'CURRENCY',
      },
      {
        name: 'performplace',
        prop: 'performplace',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'pfcontractid',
        prop: 'pfcontractid',
        dataType: 'GUID',
      },
      {
        name: 'pfcontract',
        prop: 'pfcontractid',
        dataType: 'FONTKEY',
      },
    ]
  }

}